
Core - Task # 62670

Task # 52965 (Closed): Remove deprecated functions, classes and files

Status: Resolved Priority: Must have
Author: Markus Klein Category: Backend API
Created: 2014-11-03 Assigned To: Markus Klein
Updated: 2014-11-06 Due date:
TYPO3 Version: 7
PHP Version:
Complexity: easy
Sprint Focus:
Subject: Remove deprecated code for multiple sysexts
Description

Remove deprecated code in sysext except extbase and fluid.
The include-feature of BE modules is also skipped

Related issues:
related to Core - Task # 54582: Deprecate / remove global FILEMOUNTS variable Resolved 2013-12-23

Associated revisions
Revision c66b70d7 - 2014-11-06 10:28 - Markus Klein

[!!!][CLEANUP] Remove deprecated code in multiple sysexts

Does not touch extbase and fluid.

Resolves: #62670
Releases: master
Change-Id: I853fd1814b7ea5853cdf75abf16be238a27af9f5
Reviewed-on: http://review.typo3.org/33768
Reviewed-by: Stefan Froemken <froemken@gmail.com>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Benjamin Mack <benni@typo3.org>

History
#1 - 2014-11-03 23:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33768

#2 - 2014-11-04 00:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33768
#3 - 2014-11-04 00:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33768

#4 - 2014-11-04 02:32 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33768

#5 - 2014-11-06 10:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c66b70d765cb8daabfae1a710facdc9b4167d244.
